Send conversion events
curl --request POST \
--url https://api.kavenio.com/v1/ads/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "bbbbbbbbbbbbbbbb",
"destinationId": "eeeeeeeeeeeeeeee",
"events": [
{
"eventName": "Purchase",
"eventTime": 1782380000,
"eventId": "event_example",
"value": 25,
"currency": "USD",
"user": {
"email": "person@example.com"
}
}
]
}
'import requests
url = "https://api.kavenio.com/v1/ads/conversions"
payload = {
"accountId": "bbbbbbbbbbbbbbbb",
"destinationId": "eeeeeeeeeeeeeeee",
"events": [
{
"eventName": "Purchase",
"eventTime": 1782380000,
"eventId": "event_example",
"value": 25,
"currency": "USD",
"user": { "email": "person@example.com" }
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: 'bbbbbbbbbbbbbbbb',
destinationId: 'eeeeeeeeeeeeeeee',
events: [
{
eventName: 'Purchase',
eventTime: 1782380000,
eventId: 'event_example',
value: 25,
currency: 'USD',
user: {email: 'person@example.com'}
}
]
})
};
fetch('https://api.kavenio.com/v1/ads/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"eventsReceived": 4503599627370495,
"eventsFailed": 4503599627370495,
"failures": [
{
"eventIndex": 4503599627370495,
"message": "<string>",
"eventId": "<string>",
"code": "<string>"
}
],
"traceId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Ad conversions
Send conversion events
Sends conversion events to a configured provider conversion destination.
POST
/
v1
/
ads
/
conversions
Send conversion events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
16Pattern:
^[abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ]{16}$Minimum string length:
1Required array length:
1 - 5000 elementsShow child attributes
Show child attributes
Minimum string length:
1Show child attributes
Show child attributes
Was this page helpful?
⌘I